This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 894602

Summary: Review Request: coin-or-Dip - Decomposition for Integer Programming
Product: [Fedora] Fedora Reporter: Paulo Andrade <paulo.cesar.pereira.de.andrade>
Component: Package ReviewAssignee: Antonio Trande <anto.trande>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review
Target Milestone: ---Flags: anto.trande: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: coin-or-Dip-0.91.2-1.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-03-31 17:44:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 894585, 894586, 894587, 894588, 894589, 894597    
Bug Blocks: 505154    

Description Paulo Andrade 2013-01-12 10:24:04 EST
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Dip.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Dip-0.83.2-3.fc19.src.rpm
Description: DIP (Decomposition for Integer Programming) is an open-source extensible
software framework for implementing decomposition-based bounding algorithms
for use in solving large-scale discrete optimization problems. The framework
provides a simple API for experimenting with various decomposition-based
algorithms, such as Dantzig-Wolfe decomposition, Lagrangian relaxation,
and various cutting plane methods. Given a compact formulation and a
relaxation, the framework takes care of all algorithmic details associated
with implementing any of a wide range of decomposition-based algorithms,
such as branch and cut, branch and price, branch and cut and price,
subgradient-based Lagrangian relaxation, branch and relax and cut, and
decompose and cut. The user can specify customizations, such as methods
for generating valid inequalities and branching, in terms of the variables
of the compact formulation, without having to worry about the details of
any required reformulations.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2013-01-12 10:25:50 EST
Note that the tarball is remade due to:
+ Data files without a clean license. licensecheck does not trigger
  it because they are small test case files, but a not so small
  collection, and authorship information was lost.
+ ThirdParty directory, that points to, but has no contents, of
  non free code (usually source code open but needs some kind of
  paid license to be able to use).
+ Most coin-or projects bundle other coin-or projects that are
  dependencies. If tarballs are not repackaged, %build will remove
  the bundled dependencies.

I made the original package back in september and was talking from
time to time to upstream about the issues above. There should be
at some point in the near future a new release with bundled dependencies
and code that cannot be redistributed removed from tarballs. There is
also a way to get "clean" tarballs from coin-or trac, but for the
review request I did choose the most common method in Fedora for
these conditions.
Comment 2 Paulo Andrade 2013-01-14 17:07:34 EST
Update:

- Update to run make check (#894610#c4).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Dip.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Dip-0.83.2-4.fc19.src.rpm
Comment 3 Paulo Andrade 2014-04-19 13:42:08 EDT
- Update to latest upstream release.
- Create new python subpackage.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Dip.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Dip-0.9.9-1.fc21.src.rpm
Comment 4 Antonio Trande 2014-04-20 15:24:04 EDT
- Please, remove all libtool archives in /usr/lib64/python2.7/site-
  packages/dippy/

- I have some doubts about python files directly installed in 
  /usr/lib/python2.7/site-packages/dippy/
  Are they compiled or simply installed from source?
  .egg-info file is missing, too.

Dippy seems also distributed separately (https://projects.coin-or.org/CoinBazaar/wiki/Projects/Dippy), even here there are pre-compiled python modules. 


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain any libtool archives (.la)
  Note: coin-or-Dip-python : /usr/lib64/python2.7/site-
  packages/dippy/_dippy.la
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 313 files have unknown license. Detailed output
     of licensecheck in /home/sagitter/894602-coin-or-Dip/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/include/coin
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/coin
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[?]: Python eggs must not download any dependencies during the build process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[?]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: coin-or-Dip-0.9.9-1.fc21.x86_64.rpm
          coin-or-Dip-devel-0.9.9-1.fc21.x86_64.rpm
          coin-or-Dip-python-0.9.9-1.fc21.x86_64.rpm
          coin-or-Dip-0.9.9-1.fc21.src.rpm
coin-or-Dip.x86_64: W: spelling-error %description -l en_US subgradient -> sub gradient, sub-gradient, gradient
coin-or-Dip.x86_64: W: spelling-error %description -l en_US customizations -> customization, customization's, customization s
coin-or-Dip.x86_64: W: shared-lib-calls-exit /usr/lib64/libDecomp.so.1.1.9 exit@GLIBC_2.2.5
coin-or-Dip.x86_64: W: no-manual-page-for-binary dip
coin-or-Dip-devel.x86_64: W: no-documentation
coin-or-Dip-python.x86_64: W: no-documentation
coin-or-Dip.src: W: spelling-error %description -l en_US subgradient -> sub gradient, sub-gradient, gradient
coin-or-Dip.src: W: spelling-error %description -l en_US customizations -> customization, customization's, customization s
4 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint coin-or-Dip-python coin-or-Dip-devel coin-or-Dip
coin-or-Dip-python.x86_64: W: no-documentation
coin-or-Dip-devel.x86_64: W: no-documentation
coin-or-Dip.x86_64: W: spelling-error %description -l en_US subgradient -> sub gradient, sub-gradient, gradient
coin-or-Dip.x86_64: W: spelling-error %description -l en_US customizations -> customization, customization's, customization s
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 typeinfo for CoinPackedVectorBase
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 typeinfo for AlpsKnowledge
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 typeinfo for AlpsModel
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 AlpsKnowledge::encode() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 AlpsKnowledge::decode(AlpsEncoded&) const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 AlpsModel::readParameters(int, char const* const*)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 AlpsModel::nodeLog(AlpsTreeNode*, bool)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 typeinfo for OsiClpSolverInterface
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 vtable for CglClique
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 typeinfo for CoinWarmStartBasis
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinError::printErrors_
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 typeinfo for OsiSolverInterface
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 vtable for AlpsKnowledgeBrokerSerial
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 vtable for AlpsModel
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::getRowLower() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CglMixedIntegerRounding2::CglMixedIntegerRounding2()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiClpSolverInterface::setupForRepeatedUse(int, int)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::getMajorIndices() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::appendCol(CoinPackedVectorBase const&)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CglTreeInfo::CglTreeInfo()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CglOddHole::CglOddHole()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 GOMP_parallel
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::getObjCoefficients() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 AlpsKnowledgeBroker::~AlpsKnowledgeBroker()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 AlpsKnowledgeBroker::getBestNode() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiRowCut::lb() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::objectiveOffset() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::getNumCols() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::getColUpper() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CbcModel::CbcModel(OsiSolverInterface const&)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::columnName(int) const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 GOMP_loop_dynamic_next
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedVector::CoinPackedVector(bool)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedVectorBase::dotProduct(double const*) const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::getMatrixByRow() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinWarmStartBasis::CoinWarmStartBasis()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiClpSolverInterface::getModelPtr() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::rowName(int) const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiRowCut::row() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::getRowUpper() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::getNumElements() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiRowCut::ub() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::submatrixOf(CoinPackedMatrix const&, int, int const*)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiRowCut::OsiRowCut()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::readMps(char const*, char const*)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiRowCut::setLb(double)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::times(CoinPackedVectorBase const&, double*) const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::setDimensions(int, int)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::rowName(int) const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiCuts::OsiCuts()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CbcModel::~CbcModel()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::isInteger(int) const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CbcModel::isProvenInfeasible() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::getColLower() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::getNumRows() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CbcModel::branchAndBound(int)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::appendCols(int, int const*, int const*, double const*, int)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::reverseOrderedCopyOf(CoinPackedMatrix const&)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 AlpsKnowledgeBrokerSerial::initializeSearch(int, char**, AlpsModel&)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::integerColumns() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::appendRows(int, int const*, int const*, double const*, int)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::getColUpper() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CbcModel::getBestPossibleObjValue() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CbcModel::setLogLevel(int)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::getRowUpper() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::~CoinMpsIO()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::bottomAppendPackedMatrix(CoinPackedMatrix const&)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 omp_set_num_threads
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CbcMain1(int, char const**, CbcModel&)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CglTreeInfo::~CglTreeInfo()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::transposeTimes(double const*, double*) const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedVector::insert(int, double)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::~CoinLpIO()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::getRowLower() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::CoinPackedMatrix()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CglGomory::CglGomory()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::integerColumns() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedVector::setVector(int, int const*, double const*, bool)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::readLp(char const*)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiRowCut::~OsiRowCut()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 GOMP_loop_end_nowait
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedVector::CoinPackedVector(CoinPackedVectorBase const&)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CglClique::CglClique(bool, bool)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedVector::CoinPackedVector(CoinPackedVector const&)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedVector::~CoinPackedVector()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::times(double const*, double*) const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::appendRows(int, CoinPackedVectorBase const* const*)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 GOMP_critical_start
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CglKnapsackCover::CglKnapsackCover()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 AlpsKnowledgeBroker::AlpsKnowledgeBroker()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 AlpsKnowledgeBroker::getBestKnowledge(AlpsKnowledgeType) const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CbcMain0(CbcModel&)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedVectorBase::denseVector(int) const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CbcModel::isSecondsLimitReached() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiRowCut::setUb(double)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::isInteger(int) const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 GOMP_critical_end
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CglCutGenerator::~CglCutGenerator()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::CoinPackedMatrix(bool, double, double)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::CoinPackedMatrix(bool, int, int, int, double const*, int const*, int const*, int const*, double, double)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CbcModel::isProvenOptimal() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::getObjCoefficients() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiRowCut::setRow(CoinPackedVector const&)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::CoinPackedMatrix(CoinPackedMatrix const&)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::columnName(int) const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMessageHandler::setLogLevel(int)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CglFlowCover::CglFlowCover()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedVectorBase::twoNorm() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiCuts::~OsiCuts()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::getColLower() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 AlpsKnowledgeBrokerSerial::rootSearch(AlpsTreeNode*)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::reverseOrdering()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedVectorBase::~CoinPackedVectorBase()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiClpSolverInterface::OsiClpSolverInterface()
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::getMatrixByRow() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinMpsIO::objectiveOffset() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::getNumRows() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 OsiRowCut::OsiRowCut(OsiRowCut const&)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 omp_get_thread_num
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinLpIO::getNumCols() const
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinPackedMatrix::reserve(int, int, bool)
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 GOMP_loop_dynamic_start
coin-or-Dip.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDecomp.so.1.1.9 CoinShallowPackedVector::CoinShallowPackedVector(int, int const*, double const*, bool)
coin-or-Dip.x86_64: W: shared-lib-calls-exit /usr/lib64/libDecomp.so.1.1.9 exit@GLIBC_2.2.5
coin-or-Dip.x86_64: W: no-manual-page-for-binary dip
3 packages and 0 specfiles checked; 0 errors, 129 warnings.
# echo 'rpmlint-done:'



Requires
--------
coin-or-Dip-python (rpmlib, GLIBC filtered):
    coin-or-Dip(x86-64)
    libDecomp.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    python(abi)
    rtld(GNU_HASH)

coin-or-Dip-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-CoinUtils-devel
    coin-or-Dip(x86-64)
    libDecomp.so.1()(64bit)
    pkgconfig(alps)
    pkgconfig(cgl)
    pkgconfig(coinutils)
    pkgconfig(osi)
    pkgconfig(osi-cbc)
    pkgconfig(osi-clp)

coin-or-Dip (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libAlps.so.3()(64bit)
    libCbc.so.3()(64bit)
    libCbcSolver.so.3()(64bit)
    libCgl.so.1()(64bit)
    libClp.so.1()(64bit)
    libCoinUtils.so.3()(64bit)
    libDecomp.so.1()(64bit)
    libOsi.so.1()(64bit)
    libOsiCbc.so.3()(64bit)
    libOsiClp.so.1()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
coin-or-Dip-python:
    coin-or-Dip-python
    coin-or-Dip-python(x86-64)
    libtool(/usr/lib64/python2.7/site-packages/dippy/_dippy.la)

coin-or-Dip-devel:
    coin-or-Dip-devel
    coin-or-Dip-devel(x86-64)
    pkgconfig(dip)

coin-or-Dip:
    coin-or-Dip
    coin-or-Dip(x86-64)
    libDecomp.so.1()(64bit)



Unversioned so-files
--------------------
coin-or-Dip-python: /usr/lib64/python2.7/site-packages/dippy/_dippy.so

Source checksums
----------------
http://www.coin-or.org/download/pkgsource/Dip/Dip-0.9.9.tgz :
  CHECKSUM(SHA256) this package     : 37bd87c010910247e67c3828077bf4f755e9b7c01b5c716c8cd9f8c0a9dc506f
  CHECKSUM(SHA256) upstream package : 37bd87c010910247e67c3828077bf4f755e9b7c01b5c716c8cd9f8c0a9dc506f


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 894602
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 5 Paulo Andrade 2014-04-21 13:38:26 EDT
(In reply to Antonio Trande from comment #4)
> - Please, remove all libtool archives in /usr/lib64/python2.7/site-
>   packages/dippy/

  I started doing that, then working on the python tests, but
found that to start would need to package
https://code.google.com/p/pulp-or/

> - I have some doubts about python files directly installed in 
>   /usr/lib/python2.7/site-packages/dippy/
>   Are they compiled or simply installed from source?
>   .egg-info file is missing, too.

  That is what make install was doing.

> Dippy seems also distributed separately
> (https://projects.coin-or.org/CoinBazaar/wiki/Projects/Dippy), even here
> there are pre-compiled python modules. 

  Apparently the plan is to merge it in the Dip (packaged as
coin-or-Dip) project.

  For the moment I preferred to just remove python2-devel from
build requires, so the build would not detect python and not
build the python module.

  If you prefer, we can put this review on hold before more
clarifications on the state of the python module, and (pulp-or);
in the mean time I will try to talk with upstream about it.

  Update:

- Disable python subpackage, it should be packaged separately (#894602#c4).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Dip.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Dip-0.9.9-2.fc21.src.rpm
Comment 6 Antonio Trande 2014-04-21 14:59:42 EDT
(In reply to Paulo Andrade from comment #5)
> 
> > - I have some doubts about python files directly installed in 
> >   /usr/lib/python2.7/site-packages/dippy/
> >   Are they compiled or simply installed from source?
> >   .egg-info file is missing, too.
> 
>   That is what make install was doing.
> 
> > Dippy seems also distributed separately
> > (https://projects.coin-or.org/CoinBazaar/wiki/Projects/Dippy), even here
> > there are pre-compiled python modules. 
> 
>   Apparently the plan is to merge it in the Dip (packaged as
> coin-or-Dip) project.
> 
>   For the moment I preferred to just remove python2-devel from
> build requires, so the build would not detect python and not
> build the python module.
> 
>   If you prefer, we can put this review on hold before more
> clarifications on the state of the python module, and (pulp-or);
> in the mean time I will try to talk with upstream about it.

Honestly, my main doubt is if we can package pre-compiled Dippy python files.
Comment 7 Paulo Andrade 2014-04-21 16:35:00 EDT
You mean the .pyc and .pyo files? Or the .so file?

  AFAIK .pyc and .pyo are per distribution policies, and Fedora
by default installs them (personally I do not like it much
because I saw a few packages that distribute only those to
"hide" the sources, and usually they do not make much of a
difference in load time, major issue is accessing files on
disk, "optimizing" or "compiling" them in memory in python
is way faster than having the files in kernel file buffers).
  The .so files are installed in the arch specific directory.

   But I will wait for some upstream response, because I did
just blindly package the python interface, but did a better
job testing it after the review :-) and right now it would
be useless without PuLP (https://projects.coin-or.org/PuLP)
Comment 8 Antonio Trande 2014-04-22 12:35:21 EDT
(In reply to Paulo Andrade from comment #7)
> You mean the .pyc and .pyo files? Or the .so file?
> 
>   AFAIK .pyc and .pyo are per distribution policies, and Fedora
> by default installs them (personally I do not like it much
> because I saw a few packages that distribute only those to
> "hide" the sources, and usually they do not make much of a
> difference in load time, major issue is accessing files on
> disk, "optimizing" or "compiling" them in memory in python
> is way faster than having the files in kernel file buffers).
>   The .so files are installed in the arch specific directory.


I meant .pyc and .pyo python files. Since the compilation installs just .py files (I presume they are pre-compiled python files), this could be not permitted by packaging guide-lines (http://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries).
Comment 9 Paulo Andrade 2015-02-28 17:17:45 EST
Update to latest upstream release and to use the ampl solver
in the mp package.

(If you are testing it today, please run before
 koji wait-repo rawhide --build=coin-or-Cbc-2.9.2-4.fc23
and if making a local build, make sure to have that version.
Or, just wait a few days to have mirrors in sync :), it needs
this patch:
http://pkgs.fedoraproject.org/cgit/coin-or-Cbc.git/commit/?id=d1bcd03c2c6a9d197438ebaed8dfa944845a280b
that I reported upstream, and should be fixed in a newer
coin-or-Cbc upstream)

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Dip.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Dip-0.91.1-1.fc23.src.rpm
Comment 10 Antonio Trande 2015-03-09 08:53:53 EDT
- Fix:
/usr/bin/cat /builddir/build/SOURCES/coin-or-Dip-docdir.patch
patching file Makefile.in
Hunk #1 succeeded at 475 (offset -1 lines).
Hunk #2 succeeded at 484 (offset -1 lines).

- Please, use %license.

- An openmpi sub-package is envisaged.
  Why it's not built ?  

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 330 files have unknown license. Detailed output
     of licensecheck in /home/sagitter/894602-coin-or-Dip/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: coin-or-Dip-0.91.1-1.fc23.x86_64.rpm
          coin-or-Dip-devel-0.91.1-1.fc23.x86_64.rpm
          coin-or-Dip-0.91.1-1.fc23.src.rpm
coin-or-Dip.x86_64: W: spelling-error %description -l en_US subgradient -> sub gradient, sub-gradient, gradient
coin-or-Dip.x86_64: W: spelling-error %description -l en_US customizations -> customization, customization's, customization s
coin-or-Dip.x86_64: W: shared-lib-calls-exit /usr/lib64/libDecomp.so.1.5.1 exit@GLIBC_2.2.5
coin-or-Dip.x86_64: W: no-manual-page-for-binary dip
coin-or-Dip-devel.x86_64: W: only-non-binary-in-usr-lib
coin-or-Dip-devel.x86_64: W: no-documentation
coin-or-Dip.src: W: spelling-error %description -l en_US subgradient -> sub gradient, sub-gradient, gradient
coin-or-Dip.src: W: spelling-error %description -l en_US customizations -> customization, customization's, customization s
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
coin-or-Dip-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-CoinUtils-devel
    coin-or-Dip(x86-64)
    pkgconfig(alps)
    pkgconfig(cgl)
    pkgconfig(coinutils)
    pkgconfig(osi)
    pkgconfig(osi-cbc)
    pkgconfig(osi-clp)

coin-or-Dip (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libAlps.so.3()(64bit)
    libCbc.so.3()(64bit)
    libCbcSolver.so.3()(64bit)
    libCgl.so.1()(64bit)
    libClp.so.1()(64bit)
    libClpSolver.so.1()(64bit)
    libCoinUtils.so.3()(64bit)
    libDecomp.so.1()(64bit)
    libOsi.so.1()(64bit)
    libOsiCbc.so.3()(64bit)
    libOsiClp.so.1()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
coin-or-Dip-devel:
    coin-or-Dip-devel
    coin-or-Dip-devel(x86-64)
    pkgconfig(dip)

coin-or-Dip:
    coin-or-Dip
    coin-or-Dip(x86-64)
    libDecomp.so.1()(64bit)



Source checksums
----------------
http://www.coin-or.org/download/pkgsource/Dip/Dip-0.91.1.tgz :
  CHECKSUM(SHA256) this package     : ca6253864d283f11377b54143d8cb6735248fef1ea0efb35ac09ad4e9c9b06d7
  CHECKSUM(SHA256) upstream package : ca6253864d283f11377b54143d8cb6735248fef1ea0efb35ac09ad4e9c9b06d7


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 894602
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 11 Paulo Andrade 2015-03-23 19:41:55 EDT
Sorry for the delay.

About openmpi subpackages. At first I did choose
base coin-or-Ipopt only. The problem is that I
believe MUMPS should be able to run in either
sequential or parallel mode, choosing at runtime.

I had only suggested this in the past to upstream.
coin-or-Ipopt as well should support either mode
at runtime.

For now, I prefer to only do openmpi subpackages
if there is demand for it, and still, if there is
demand, I will suggest working with upstream to
make it a runtime option.

Update:
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Dip.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Dip-0.91.1-1.fc23.src.rpm
Comment 12 Antonio Trande 2015-03-24 07:44:07 EDT
Package approved.
Comment 13 Paulo Andrade 2015-03-24 15:15:54 EDT
New Package SCM Request
=======================
Package Name: coin-or-Dip
Short Description: Decomposition for Integer Programming
Upstream URL: http://www.coin-or.org/projects/Dip.xml
Owners: pcpa
Branches: f22
InitialCC:
Comment 14 Jon Ciesla 2015-03-24 15:53:47 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2015-03-24 17:44:53 EDT
coin-or-Dip-0.91.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/coin-or-Dip-0.91.2-1.fc22
Comment 16 Fedora Update System 2015-03-26 18:03:38 EDT
coin-or-Dip-0.91.2-1.fc22 has been pushed to the Fedora 22 testing repository.
Comment 17 Fedora Update System 2015-03-31 17:44:02 EDT
coin-or-Dip-0.91.2-1.fc22 has been pushed to the Fedora 22 stable repository.
Comment 18 Paulo Andrade 2015-06-14 18:46:54 EDT
Package Change Request
======================
Package Name: coin-or-Dip
New Branches: f21
Owners: pcpa
InitialCC: pcpa

Update coin-or stack.
Comment 19 Jon Ciesla 2015-06-15 08:49:34 EDT
Git done (by process-git-requests).